Subject: Re: bug#14085: 24.3.50; regression `C-c C-c' in `report-emacs-bug' no longer closesthereportwindow

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 May 2013 22:36:19 +0300

> From: "Drew Adams" <[email-masked]>
> Date: Tue, 14 May 2013 11:14:22 -0700
> 
> The attached screenshot shows that the change you cite was NOT included in this
> build (the arg for `message-bury' is still &optional), even though the URL you
> cite lists the change as r112485 and this build uses r112542 (if I read these
> things correctly).
> 
> However, if I visit message.el in this build, I see that the source-code change
> WAS applied.  I thought that might mean that the file was not recompiled for the
> build.  But the date/times for message.el[c] are identical (per `ls', at least).

This is a tempest in a teapot.

The time stamp of the Lisp files in the binary zip are of no
significance, because making the zip copies all the Lisp files, and
thus changes their time stamp.  (It should be clear to anyone that
real time stamps cannot be almost identical for all the Lisp files,
and certainly cannot follow one another in strict alphabetical order.)

Moreover, it is almost certain that message.el was not compiled after
the change, because message.elc has the wrong size: its size should be
232330, not 232320.  Drew can make this sure himself by compiling
message.el and comparing the result with message.elc that came with
the zip file.  I'm surprised such a simple test was not already done.

> I will test again with the next binary I get my hands on.  Looking forward to
> the fix.  Thx.

Another tempest in the same teapot: message.elc is not preloaded, so
you don't need to wait at all.  Just byte compile and load it, and
then test.